<template>
  <v-container>
    <v-breadcrumbs class="px-0" :items="items"></v-breadcrumbs>

    <v-row no-gutters class="d-flex align-center">
      <h1>Lista de Fornecedores</h1>
      <v-spacer></v-spacer>
      <v-btn depressed small color="primary" to="/providers/form">Adicionar</v-btn>
    </v-row>
    <p>Total de Fornecedores {{providers.length}}</p>
    <v-divider></v-divider>
    <div id="providers">
      <div v-for="(provider) in providers" :key="provider.id">
        <p>Name: {{provider.name}}</p>
        <p>Phone: {{provider.phone}}</p>
        <p>Email: {{provider.email}}</p>
        <p>CNPJ: {{provider.cnpj}}</p>
        <p>Tipo de serviço: {{provider.service}}</p>
        <v-btn depressed small color="primary" :to="`/providers/form?id=${provider.id}`">Editar</v-btn>
        <v-btn depressed small color="error" @click="matar(provider.id)">Delete</v-btn>
        <v-divider></v-divider>
      </div>
    </div>
  </v-container>
</template>

<script>
import axios from "axios";
export default {
  data() {
    return {
      providers: [],
      items: [
        {
          text: "Dashboard",
          disabled: false,
          to: "/"
        },
        {
          text: "Fornecedores",
          disabled: true
        }
      ]
    };
  },
  mounted() {
    return axios
      .get("https://young-forest-65938.herokuapp.com/api/v1/providers")
      .then(response => {
        var resp = response.data;
        this.providers = resp.data;
        console.log(this.providers);
      });
  },
  methods: {
    matar(id) {
      return axios
        .delete(
          `https://young-forest-65938.herokuapp.com/api/v1/providers/${id}`
        )
        .then(response => {
          axios
            .get("https://young-forest-65938.herokuapp.com/api/v1/providers")
            .then(response => {
              var resp = response.data;
              this.updateList(resp.data);
            });
        });
    },
    updateList(newList) {
      console.log("TEste updatedd");
      this.providers = newList;
    }
  }
};
</script>